.featured-collection-with-media .section-inner {
  max-width: 100%;
  padding-inline: 0;

  & .oke-stars {
    --oke-stars-foregroundColor: var(--text-color);
    --oke-stars-text-color-50: color-mix(in srgb, var(--text-color) 50%, transparent);
    --oke-stars-backgroundColor: var(--oke-stars-text-color-50);
  }

  .product-item__price-main .sale {
    color: var(--white);
  }
}

.featured-collection-with-media__products-wrapper {
  color: var(--text-color);
  background: var(--background-color);

  & .product-item .product-item__subtitle,
  & .product-item .kit-value {
    color: var(--text-color);
  }

  & .product-item__image-link {
    background-color: var(--color-background);
  }

  .product-item .sale-copy {
    color: var(--text-color);
  }
}

.featured-collection-with-media__inner {
  gap: 0;
}

@media (max-width: 859px) {
  .featured-collection-with-media__products-wrapper {
    padding: var(--space-outer);
  }

  .featured-collection-with-media {
    & .overlay-content .overlay-content__text-container {
      justify-self: var(--text-horizontal-position-mobile);
      align-self: var(--text-vertical-position-mobile);
      text-align: var(--text-alignment-mobile);

      & .button-wrapper {
        justify-content: var(--text-horizontal-position-mobile);
      }
    }

    & .section-footer {
      display: block;
    }

    & .scroll-slider-page-dots [data-scroll-slider-page-dot] {
      background-color: var(--color-white);
      border-color: var(--color-white);
    }
  }
}

@media (min-width: 860px) {
  .featured-collection-with-media__inner {
    & .featured-collection-with-media__media-block,
    & .featured-collection-with-media__products-wrapper {
      width: calc(100% - var(--media-width));
    }
  }

  .featured-collection-with-media__products-wrapper {
    padding: var(--active-gap);
  }

  .featured-collection-with-media__media-block {
    max-height: calc(100vh - var(--header-desktop-sticky-height));
    position: sticky;
    top: var(--header-desktop-sticky-height);
  }

  .featured-collection-with-media .section-footer {
    display: none;
  }
}

@media (min-width: 1024px) {
  .featured-collection-with-media__overlay-content,
  .featured-collection-with-media__products-wrapper {
    padding-block: var(--spacing-10);
  }
}
